Get Excluded Components Endpoint
GET
/versions/bundles-excluded
const url = 'https://api.mengi.cloud/versions/bundles-excluded';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/versions/bundles-excludedGet list of components excluded from user-facing bundle views.
These components are only deployed to management or host clusters, determined by parsing ApplicationSet selector labels from GitLab. Results are cached for 5 minutes.
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ExcludedComponentsResponse
Components excluded from user-facing bundle views.
These components are only deployed to management or host clusters, not to user clusters. Determined by ApplicationSet selector labels.
object
management_only
required
Management Only
Array<string>
host_cluster_only
required
Host Cluster Only
Array<string>
all_excluded
required
All Excluded
Array<string>
Example generated
{ "management_only": [ "example" ], "host_cluster_only": [ "example" ], "all_excluded": [ "example" ]}